[DRE-commits] [diaspora-installer] 29/55: pass file to grep, remove -i from sudo
Praveen Arimbrathodiyil
praveen at moszumanska.debian.org
Mon Dec 8 12:41:24 UTC 2014
This is an automated email from the git hooks/post-receive script.
praveen pushed a commit to branch master
in repository diaspora-installer.
commit f08e89edb8cba192351af8cd6d03787020ebc86f
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date: Tue Dec 2 22:48:58 2014 +0530
pass file to grep, remove -i from sudo
---
debian/postinst | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/debian/postinst b/debian/postinst
index 3848011..973a136 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -80,12 +80,12 @@ case "$1" in
echo "Precompiling assets..."
sudo -u diaspora -E bundle exec rake assets:precompile
echo "Setting up secret_token..."
- if ! grep config.secret_token
+ if ! grep config.secret_token ${diaspora_home}/config/initializers/secret_token.rb
then
echo Diaspora::Application.config.secret_token = \'$(sudo -u diaspora -E bundle exec rake secret)\' >> ${diaspora_home}/config/initializers/secret_token.rb
fi
echo "Starting diaspora service..."
- sudo -u diaspora -E -i nohup ./script/server &
+ sudo -u diaspora -E nohup ./script/server &
echo "Copy $SERVERNAME-bundle.pem and $SERVERNAME.key to /etc/diaspora/ssl"
echo "And reload nginx, run # /etc/init.d nginx reload"
echo "visit your pod at $ENVIRONMENT_URL"
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/diaspora-installer.git
More information about the Pkg-ruby-extras-commits
mailing list